Subject: bug#15680: dd: suggest iflag=fullblock ... but only if count > 1

From: Pádraig Brady <[email-masked]>
Date: Tue, 22 Oct 2013 16:29:44 +0100

On 10/22/2013 02:14 PM, Bernhard Voelker wrote:
>>  On October 22, 2013 at 1:03 PM Pádraig Brady <[email-masked]> wrote:
>>  On 10/22/2013 11:26 AM, Bernhard Voelker wrote:
>>  > To avoid that this question comes up again: should we add
>>  > this into the Texinfo file?
>>  
>>  Maybe, though we have to be careful of coupling the
>>  docs too tightly with the code.
>>  Worth a source comment at least.
> 
> Ctually, this question came up on a discussion on the
> opensuse-factory mailing list [1].
> It'd be good to be able to point end users to some documentation
> they can easily access.  Therefore, I thought that the info
> pages would be the right place.
> WDYT?
> 
> [1] http://lists.opensuse.org/opensuse-factory/2013-10/msg00565.html

That thread could just link to:
http://www.gnu.org/software/coreutils/manual/html_node/dd-invocation.html
and the count= description which references iflag=fullblock,
should explain the short read situation adequately I think?

The runtime warning conditions were chosen to be conservative,
and only trigger when a short read is confirmed to have occurred,
in a probably unintended situation, rather than flagging potential
issues with different inputs files etc.

Now we might add various extra up front messages about potential
gotchas in dd usage when conv=debug was specified (akin to sort --debug).
Given that I have trouble remembering the edge cases sometimes
(like I did for sort), it might be worth adding.

thanks,
Pádraig.